#ifndef FIBRLITE_INC
#define FIBRLITE_INC		1

#include	<msc_config.h>

//External Vars
extern uchar isus_lamp_pwr;
extern uchar isus_spec_pwr;
extern uchar isus_ref_pwr;
extern uchar sys_message_enable;
extern ushort isus_ref_limit;
extern float DataMean, DataStdDev;

//External Prototypes
void 	DelaySecs( ushort secs );
void 	DelayMilliSecs( ushort msecs );
int 	LogErrorMsg(char *emsg, int ecode, uchar outp);
void 	ShortVectorMinMax(ushort end, ushort data[], ushort *min, ushort *max);


/* SET LAMP IGNITION TIMEOUT, in microsecs */
//STD
#define STD_LAMP_IGNITE_TIMEOUT 15000000L
//APF
#define APF_LAMP_IGNITE_TIMEOUT 10000000L

/* Heraeus DTM 6/1 Deuterium Lamp - function prototypes */

//int LampPwrOn(ushort WarmSecs, uchar WarmShutter)
int LampPwrOn( void );
int LampPwrOnUsingSpec( TUPort *tup, ushort *Data, uchar ShowRef );
int LampPwrOff( void );
void LampOpenShutter(void);
void LampCloseShutter(void);

int RefPwrOn(void);
int RefPwrOff(void);

#endif
